class ExtendedForm

Same name and namespace in other branches
  1. 11.x core/modules/system/tests/modules/install_form_test/src/Form/ExtendedForm.php \Drupal\install_form_test\Form\ExtendedForm

Extends the site setting form.

Hierarchy

Expanded class hierarchy of ExtendedForm

1 string reference to 'ExtendedForm'
install_form_test.routing.yml in core/modules/system/tests/modules/install_form_test/install_form_test.routing.yml
core/modules/system/tests/modules/install_form_test/install_form_test.routing.yml

File

core/modules/system/tests/modules/install_form_test/src/Form/ExtendedForm.php, line 10

Namespace

Drupal\install_form_test\Form
View source
class ExtendedForm extends SiteSettingsForm {

}

Members

Title Sort descending Modifiers Object type Summary Overriden Title Overrides
DependencySerializationTrait::$_entityStorages protected property An array of entity type IDs keyed by the property name of their storages.
DependencySerializationTrait::$_serviceIds protected property An array of service IDs keyed by property name used for serialization.
DependencySerializationTrait::__sleep public function 2
DependencySerializationTrait::__wakeup public function #[\ReturnTypeWillChange] 2
FormBase::$configFactory protected property The config factory. 3
FormBase::$requestStack protected property The request stack. 1
FormBase::$routeMatch protected property The route match.
FormBase::config protected function Retrieves a configuration object.
FormBase::configFactory protected function Gets the config factory for this form. 3
FormBase::container private function Returns the service container.
FormBase::currentUser protected function Gets the current user. 2
FormBase::getRequest protected function Gets the request object.
FormBase::getRouteMatch protected function Gets the route match.
FormBase::logger protected function Gets the logger for a specific channel.
FormBase::redirect protected function Returns a redirect response object for the specified route.
FormBase::resetConfigFactory public function Resets the configuration factory.
FormBase::setConfigFactory public function Sets the config factory for this form.
FormBase::setRequestStack public function Sets the request stack object to use.
LoggerChannelTrait::$loggerFactory protected property The logger channel factory service.
LoggerChannelTrait::getLogger protected function Gets the logger for a specific channel.
LoggerChannelTrait::setLoggerFactory public function Injects the logger channel factory.
MessengerTrait::$messenger protected property The messenger. 25
MessengerTrait::messenger public function Gets the messenger. 25
MessengerTrait::setMessenger public function Sets the messenger.
RedirectDestinationTrait::$redirectDestination protected property The redirect destination service. 2
RedirectDestinationTrait::getDestinationArray protected function Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTrait::getRedirectDestination protected function Returns the redirect destination service.
RedirectDestinationTrait::setRedirectDestination public function Sets the redirect destination service.
SiteSettingsForm::buildForm public function Form constructor. Overrides FormInterface::buildForm
SiteSettingsForm::create public static function Instantiates a new instance of this class. Overrides FormBase::create
SiteSettingsForm::createRandomConfigDirectory protected function Create a random config sync directory.
SiteSettingsForm::getDatabaseErrors protected function Get any database errors and links them to a form element.
SiteSettingsForm::getDatabaseErrorsTemplate public static function Gets the inline template render array to display the database errors.
SiteSettingsForm::getFormId public function Returns a unique string identifying the form. Overrides FormInterface::getFormId
SiteSettingsForm::submitForm public function Form submission handler. Overrides FormInterface::submitForm
SiteSettingsForm::validateForm public function Form validation handler. Overrides FormBase::validateForm
SiteSettingsForm::__construct public function Constructs a new SiteSettingsForm.
StringTranslationTrait::$stringTranslation protected property The string translation service. 3
StringTranslationTrait::formatPlural protected function Formats a string containing a count of items.
StringTranslationTrait::getNumberOfPlurals protected function Returns the number of plurals supported by a given language.
StringTranslationTrait::getStringTranslation protected function Gets the string translation service.
StringTranslationTrait::setStringTranslation public function Sets the string translation service to use. 2
StringTranslationTrait::t protected function Translates a string to the current language or to a given language.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.